Subject: Re: [PATCH] submodule: add --no-fetch parameter to update command

From: Junio C Hamano <[email-masked]>
Date: Sat, 07 Feb 2009 00:44:39 -0800

Fabian Franz <[email-masked]> writes:

> git submodule update --no-fetch makes it possible to use git submodule
> update in complete offline mode by not fetching new revisions.
>
> This does make sense in the following setup:
>
> * There is an unstable and a stable branch in the super/master repository.
> * The submodules might be at different revisions in the branches.
> * You are at some place without internet connection ;)
>
> With this patch it is now possible to change branches and update
> the submodules to be at the recorded revision without online access.

How is this better than "cd submodule/path && git checkout whatever"?

> Another advantage is that with -N the update operation is faster,
> because fetch is checking for new updates even if there was no
> fetch/pull on the super/master repository since the last update.

Do we know this is common enough to deserve a shortopt -N?

The logic of the patch itself looks sane to me.